{% extends "base_generic.html" %}

{% block content %}

<form class='form'>
    {% csrf_token %}
    <div class='control header-icons'>
        {% for level_node in level_nodes %}
        <a class='icon {{ level_node.class }}' href="{% url 'node' node_id=level_node.id %}" style="text-decoration: none;">
            <img src="{{ level_node.icon }}" alt="">
        </a>
        {% endfor %}
    </div>
    <h2>{{ node.question }}</h2>
    {% if node.question_hint %}
    <h2>Подсказка: {{ node.question_hint }}</h2>
    {% endif %}
    {% if node.image %}
    <img class="node-img" src="{{ node.image }}" alt="">
    {% endif %}
    <div class='control block-cube block-input'>
        <div class='bg-top'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg-right'>
            <div class='bg-inner'></div>
        </div>
        <div class='bg'>
            <div class='bg-inner'></div>
        </div>
        <div class='text'>
            {{ node.answer }}
        </div>
    </div>
    <h2>{{ node.unlockable_text }}</h2>
    {% if next_node %}
    <h2></h2>
    <h2>Следующая задача:</h2>
    <div class='control'>
        <a class='icon header-icon' href="{% url 'node' node_id=next_node.id %}" style="text-decoration: none;">
            <img src="{{ next_node.icon }}" alt="">
        </a>
    </div>
    {% endif %}
</form>

{% endblock %}